#ifndef _STARTUP_TESTS_H_
#define _STARTUP_TESTS_H_

#include <stdint.h>

/**
 * @brief Do a RAM check of the CCM RAM.
 *
 * Loop over the whole CCM memory area and check it.
 *
 * @return 0 if successful. Else the defect address is returned.
 * @warning This will completely corrupt this memory!
 * You have to ensure to set it to sane values afterwards!
 */
uint32_t startup_test_perform_ccm_ram_check(void);

/**
 * @brief Do a RAM check of the stnadard SRAM regions
 * @return 0 if successful. If an error is found, the faulty address is returned
 * @warning This completely destroys all content in the memory!
 * @warning Ensure that the stack pointer is moved to a different memory reagion (CCM RAM)!
 */
uint32_t startup_test_perform_system_ram_check(void);

#endif /* _STARTUP_TESTS_H_ */
