#include <tpr/tpr-frontend.hpp>

namespace tpr {

TprFrontend::TprFrontend(const std::string &source_file) : TempLangFrontend(source_file)
{
}

int TprFrontend::analyze()
{
	std::ifstream input_stream(m_source_file);

	if (!input_stream.good()) {
		log(TempLangFrontend::LogLevel::ERROR, "Cannot read input file " + m_source_file);
		return -1;
	}

	auto scanner = TempProfileScanner(&input_stream);
	auto parser = TempProfileParser(scanner);

	parser.parse();

	return 0;
}

}